Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class UnsignedLong

    java.lang.Object
      |
      +--java.lang.Number
            |
            +--org.apache.axis.types.UnsignedLong

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class UnsignedLong
extends java.lang.Number
implements java.lang.Comparable

Custom class for supporting primitive XSD data type UnsignedLong

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.21, Serialized Form

Field Summary
`protected java.lang.Double` | `lValue`

Constructor Summary
`UnsignedLong()`
`UnsignedLong(double lValue)` ctor for UnsignedLong
`UnsignedLong(java.lang.String stValue)`

Method Summary
`byte` | `byteValue()`
`int` | `compareTo(java.lang.Object obj)`
`double` | `doubleValue()`
`boolean` | `equals(java.lang.Object obj)`
`float` | `floatValue()`
`int` | `hashCode()`
`int` | `intValue()`
`boolean` | `isValid(double lValue)` validate the value against the xsd definition
`long` | `longValue()`
`void` | `setValue(double lValue)` validates the data and sets the value for the object.
`short` | `shortValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### lValue

    protected java.lang.Double lValue

Constructor Detail

### UnsignedLong

    public UnsignedLong()

### UnsignedLong

    public UnsignedLong(double lValue)
                 throws java.lang.NumberFormatException

  ctor for UnsignedLong

Throws:
  `java.lang.NumberFormatException` - will be thrown if validation fails

### UnsignedLong

    public UnsignedLong(java.lang.String stValue)
                 throws java.lang.NumberFormatException

Method Detail

### setValue

    public void setValue(double lValue)
                  throws java.lang.NumberFormatException

  validates the data and sets the value for the object.

    `java.lang.NumberFormatException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isValid

    public boolean isValid(double lValue)

  validate the value against the xsd definition

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### byteValue

    public byte byteValue()

  Overrides:
    `byteValue` in class `java.lang.Number`

### shortValue

    public short shortValue()

  Overrides:
    `shortValue` in class `java.lang.Number`

### intValue

    public int intValue()

  Specified by:
    `intValue` in class `java.lang.Number`

### longValue

    public long longValue()

  Specified by:
    `longValue` in class `java.lang.Number`

### doubleValue

    public double doubleValue()

  Specified by:
    `doubleValue` in class `java.lang.Number`

### floatValue

    public float floatValue()

  Specified by:
    `floatValue` in class `java.lang.Number`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.